Summary: A powerful, extensible Computer Aided Drafting (CAD) system.
Name: qcad
Version: 1.4.4
Release: 4
Copyright: GPL
Group: Applications/Engineering
Source: http://www.qcad.org/archives/%{name}-%{version}-src.tar.gz
Source1: %{name}.desktop
Url: http://www.qcad.org
Patch0: qcad-1.4.4-rh.patch
Patch1: qcad-1.4.4-abs.patch
Patch2: qcad-1.4.4-qt.patch
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: qt-devel >= 2.1
ExcludeArch: sparc

%description
QCad is a GPL 2D CAD program for Linux, Windows and various other
operating systems. The developers main goals are to build a stable,
fast and easy to use CAD system for everyone. One doesn't need any
knowledge of a CAD program to start working with QCad.

%prep
%setup -q -n %{name}-%{version}-src
%patch0 -p1 -b .rh
%patch1 -p1 -b .abs
%patch2 -p1 -b .qt

%build
unset QTDIR || : ; source /etc/profile.d/qt.sh

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

make -j $CPUS

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/lib/qcad/ \
         $RPM_BUILD_ROOT/usr/bin \
         $RPM_BUILD_ROOT/etc/X11/applnk/Applications

install -m 755 qcad $RPM_BUILD_ROOT/usr/lib/qcad/
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/applnk/Applications/

cp -a cur doc examples fonts hatches libraries messages templates \
    $RPM_BUILD_ROOT/usr/lib/qcad

pushd $RPM_BUILD_ROOT/usr/bin
cat > qcad <<EOF
#!/bin/sh
cd /usr/lib/qcad
exec ./qcad 
EOF
chmod 755 qcad
popd
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config (missingok) %attr(0644,root,root) /etc/X11/applnk/Applications/%{name}.desktop
/usr/lib/qcad
/usr/bin/qcad

%changelog
* Wed Feb 28 2001 Tim Powers <timp@redhat.com>
- rebuilt against new libmng

* Wed Feb 21 2001 Than Ngo <than@redhat.de>
- fix a segmention fault with qt-2.2.x
- disable debug

* Thu Jan  4 2001 Tim Powers <timp@redhat.com>
- fixed bad dir perm on /usr/lib/qcad

* Sat Nov 4 2000 Than Ngo <than@redhat.com>
- update to 1.4.4
- update Url
- add qcad.desktop
- use RPM_OPT_FLAGS

* Thu Aug 3 2000 Than Ngo <than@redhat.de>
- rebuilt against libpng-1.0.8
- rebuilt with -O0 (gcc-2.96-c++ bug)

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt

* Sun Jun 11 2000 Than Ngo <than@redhat.de>
- update to 1.4.1, some small bug fixes for v1.4.0
- add Url 

* Mon May 08 2000 Preston Brown <pbrown@redhat.com>
- initial package for Powertools 7.0.
